Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class DiscountCalculatorPercentOff

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.AbstractDiscountCalculator
          com.bea.commerce.ebusiness.price.engine.DiscountCalculatorPercentOff

All Implemented Interfaces
  DiscountCalculator

Deprecated See BEA Commerce product offering

    @Deprecated
    public class DiscountCalculatorPercentOff

extends AbstractDiscountCalculator

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering

Fields inherited from class com.bea.commerce.ebusiness.price.engine.AbstractDiscountCalculator
`DEBUG`

Fields inherited from interface com.bea.commerce.ebusiness.price.engine.DiscountCalculator
`calcMethod`

Constructor Summary
`DiscountCalculatorPercentOff()` Deprecated See BEA Commerce product offering

Method Summary
`void` | `calcNewPrice(DiscountModifier modifier, AdjustmentType type, QualificationDiscountId discountID, String reason, List objects)` Deprecated See BEA Commerce product offering
`void` | `calcNewPrice(DiscountModifier modifier, AdjustmentType type, QualificationDiscountId discountID, String reason, PoolObject object)` Deprecated See BEA Commerce product offering
`protected double` | `computeNewPrice(PoolObject object)` Deprecated See BEA Commerce product offering
`protected String` | `getComputation()` Deprecated See BEA Commerce product offering

Methods inherited from class com.bea.commerce.ebusiness.price.engine.AbstractDiscountCalculator
`adjust, adjust, processList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### DiscountCalculatorPercentOff

    public DiscountCalculatorPercentOff()

  Deprecated See BEA Commerce product offering

Method Detail

### calcNewPrice

    public void calcNewPrice(DiscountModifier modifier,
                             AdjustmentType type,
                             QualificationDiscountId discountID,
                             String reason,
                             PoolObject object)

  Deprecated See BEA Commerce product offering

### calcNewPrice

    public void calcNewPrice(DiscountModifier modifier,
                             AdjustmentType type,
                             QualificationDiscountId discountID,
                             String reason,
                             List objects)

  Deprecated See BEA Commerce product offering

  List of PoolObject(s).

### computeNewPrice

    protected double computeNewPrice(PoolObject object)

  Deprecated See BEA Commerce product offering

  Description copied from class: `AbstractDiscountCalculator`
  Override this method to have processList() work.

  Overrides:
    `computeNewPrice` in class `AbstractDiscountCalculator`

### getComputation

    protected String getComputation()

  Deprecated See BEA Commerce product offering

  Specified by:
    `getComputation` in class `AbstractDiscountCalculator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved